Authorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
id?string
name?string
description?string
enabled?boolean
logo?string
loginPageUrl?string
claims?array<string>
string
forceAuthentication?boolean
backChannelLogoutUrl?string
jwtBearerSettings?object
customIdpInitiatedLoginPageUrl?string
Create OIDC Application within a project
This endpoint creates an OIDC Application within your Descope project.
See Also
- Review our documentation around Applications within Descope.
curl -X POST "https://api.descope.com/v1/mgmt/sso/idp/app/oidc/create" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string"}export interface Response {id?: string} Was this helpful?
Load Application by ID GET
### Load Application by ID within a project This endpoint returns details of a specific Application within your Descope project. ### See Also - Review our [documentation](/manage/idpapplications/) around Applications within Descope.
Update OIDC Application POST
### Update OIDC Application within a project This endpoint updates an OIDC Application within your Descope project. ### See Also - Review our [documentation](/manage/idpapplications/) around Applications within Descope.